Current API Key API

GET Current API Key API

/api/v1/account/api-key/current

Get details about the API key currently being used for the request.

This endpoint does not require any parameters. It uses the Bearer token to identify the API key.


Example Request

cURL
curl -X GET https://rsflowhub.com/api/v1/account/api-key/current \
  -H "Authorization: Bearer YOUR_API_KEY"

Example Response

JSON Response
{
  "success": true,
  "data": {
    "prefix": "rfh_giln0qpr_tLx",
    "created_at": "2026-05-10T14:00:00.000000Z",
    "last_used_at": "2026-05-17T12:00:00.000000Z"
  }
}

API Request Example

Use the cURL snippet below to test the endpoint.

cURL
curl -X GET 'https://rsflowhub.com/api/v1/account/api-key/current' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '[]'

Ready to build?

Create your free account and make your first API call in minutes.